# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Protected Member Functions | List of all members
DBus::IntrospectableAdaptor Class Reference

`#include <introspection.h>`

Inheritance diagram for DBus::IntrospectableAdaptor:

## Public Member Functions

| IntrospectableAdaptor ()
Message | Introspect (const CallMessage &)
Public Member Functions inherited from DBus::InterfaceAdaptor
| InterfaceAdaptor (const std::string &name)
Message | dispatch_method (const CallMessage &)
void | emit_signal (const SignalMessage &)
Variant * | get_property (const std::string &name)
void | set_property (const std::string &name, Variant &value)
Public Member Functions inherited from DBus::Interface
| Interface (const std::string &name)
virtual | ~Interface ()
const std::string & | name () const
Public Member Functions inherited from DBus::AdaptorBase
virtual const ObjectAdaptor * | object () const =0

## Protected Member Functions

IntrospectedInterface * | introspect () const
Protected Member Functions inherited from DBus::AdaptorBase
InterfaceAdaptor * | find_interface (const std::string &name)
virtual | ~AdaptorBase ()
virtual void | _emit_signal (SignalMessage &)=0

## Additional Inherited Members

Protected Attributes inherited from DBus::InterfaceAdaptor
MethodTable | _methods
PropertyTable | _properties
Protected Attributes inherited from DBus::AdaptorBase
InterfaceAdaptorTable | _interfaces

## Detailed Description

Definition at line 63 of file introspection.h.

## Constructor & Destructor Documentation

## ◆ IntrospectableAdaptor()

IntrospectableAdaptor::IntrospectableAdaptor | ( |  | ) |

Definition at line 40 of file introspection.cpp.

References DBus::InterfaceAdaptor::InterfaceAdaptor(), Introspect(), introspectable_name, IntrospectableAdaptor(), and register_method.

Referenced by IntrospectableAdaptor().

## Member Function Documentation

## ◆ Introspect()

Message IntrospectableAdaptor::Introspect | ( | const CallMessage & | call | ) |

Definition at line 46 of file introspection.cpp.

References DBus::AdaptorBase::_interfaces, DBus::MessageIter::append_string(), DBus::IntrospectedMethod::args, DBus::ObjectAdaptor::child_nodes_from_prefix(), DBus::debug_log, DBus::IntrospectedInterface::methods, DBus::IntrospectedInterface::name, DBus::IntrospectedProperty::name, DBus::AdaptorBase::object(), DBus::Object::path(), DBus::IntrospectedInterface::properties, DBus::IntrospectedInterface::signals, DBus::IntrospectedArgument::type, and DBus::Message::writer().

Referenced by IntrospectableAdaptor().

## ◆ introspect()

IntrospectedInterface * IntrospectableAdaptor::introspect | ( |  | ) | const

protected virtual

Reimplemented from DBus::InterfaceAdaptor.

Definition at line 147 of file introspection.cpp.

References introspectable_name.

The documentation for this class was generated from the following files:

- introspection.h
- introspection.cpp